#!/usr/bin/awk -f

BEGIN{
  Delta_a = ARGV[1];
  ARGV[1] = "";

#  Delta_a = (3.51-3.3)/2.;	# AU
#  print "# Delta_a = " Delta_a " AU"
}
(i==1){
  D = $4*2/1.e3;
  da_dt = abs($9);
  tau = Delta_a/da_dt;
  print D, tau;
}
/=====/{
  i=1;
  print 0.,1.e-2;
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}

