#!/usr/bin/gnuplot

set xl "D [km]"
set yl "da/dt [AU/Myr]"

set logscale xy
set mxtics 10
set mytics 10

p "yarko_dadt.out" u ($4*2/1.e3):(abs($7)) t "diurnal"  w lp,\
  "yarko_dadt.out" u ($4*2/1.e3):(abs($8)) t "seasonal" w lp,\
  "yarko_dadt.out" u ($4*2/1.e3):(abs($9)) t "total"    w lp
#pa -1

set term png small
set out "yarko_dadt.png"
rep


