#!/usr/bin/awk -f

BEGIN{
  pi=3.1415926535; deg=pi/180.;

  YARKO="yarko.in";
  SPIN="spin.in";
  i=0;
}
!/^#/{
  i++;
  r[i] = $1 * 1000.;	# m, radius (NOT diameter)
}
END{
  NTP=i;
  print NTP;
  print NTP >YARKO;
  print NTP"\n-1\n1" >SPIN;

  srand(-1);

  for (i=1; i<=NTP; i++) {

    if (r[i] > 200./2.) {
      printf("%10.2f 2500.0 2500.0 0.0100  680.0 0.02 0.95\n", r[i]) >YARKO;
    } else {
      printf("%10.2f 2500.0 2500.0 1.0000  680.0 0.02 0.95\n", r[i]) >YARKO;
    }
#    printf("%10.2f 1300.0 1300.0 0.0100  680.0 0.02 0.95\n", r[i]) >YARKO;
#    printf("%10.2f 2500.0 2500.0 0.0100  680.0 0.02 0.95\n", r[i]) >YARKO;

    s1 = 2.*pi*rand();
#    sins2 = 2.*rand()-1.;
#    sins2 = 1.;
#    sins2 = 0.;
#    sins2 = sin(45.*deg);
    sins2 = sin(-45.*deg);
    coss2 = sqrt(1.-sins2**2);
    sx = cos(s1)*coss2;
    sy = sin(s1)*coss2;
    sz = sins2;

#    p=2.+10.*rand();   # h, rotation period
    p0 = 5.;            # h, rotation period
    omega0 = 2.*pi/(p0*3600.)
    R0 = 5.*1e3/2.;
    omega = omega0 * (R0/r[i])

    printf("%12.8f %12.8f %12.8f %16.8e\n", sx,sy,sz, omega) >SPIN;
  }
}

