#!/usr/bin/gnuplot

set xl "D [km]"
set yl "removal rate [1/Myr]"

set logscale xy
set mxtics 10
set mytics 10
set key bottom

p "yarko_dadt_inner_belt/tau.out"       u 1:(1./$2) w lp,\
  "yarko_dadt_middle_belt/tau.out"      u 1:(1./$2) w lp,\
  "yarko_dadt_pristine_zone/tau.out"    u 1:(1./$2) w lp,\
  "yarko_dadt_outer_belt/tau.out"       u 1:(1./$2) w lp,\
  "yarko_dadt_cybele_region/tau.out"    u 1:(1./$2) w lp,\
  "yarko_dadt_high_inclination/tau.out" u 1:(1./$2) w lp
pa -1

set term png small
set out "tau_REMOVAL_RATE.png"
rep


